package cn.com.qmth.examcloud.task.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.UserCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.AddOrUpdateUserCountReq;
import cn.com.qmth.examcloud.task.base.online.ActiveDataUtil;
import cn.com.qmth.examcloud.task.base.online.OnlineCount;
import cn.com.qmth.examcloud.task.service.UserCountService;

@Service
public class UserCountServiceImpl implements UserCountService {
	@Autowired
	private UserCountCloudService userCountCloudService;

	@Override
	public void saveOnlieCount() {
		List<OnlineCount> ret=ActiveDataUtil.getUserCount(null);
		if(ret!=null) {
			AddOrUpdateUserCountReq req=new AddOrUpdateUserCountReq();
			Date now=new Date();
			req.setBatchTime(now.getTime());
			for(OnlineCount oc:ret) {
				req.setRootOrgId(oc.getRootOrgId());
				req.setOrgId(oc.getOrgId());
				req.setOnlineCount(oc.getOnlineCount());
				userCountCloudService.addOrUpdateCount(req);
			}
		}
	}

}
